commit:     1f548d24e57a53ac4c7644a4bad8b1c53e03d6d3
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 17 13:50:19 2016 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Sep 17 13:50:19 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f548d24

profiles/base/package.use.mask: needed versions not in the tree yet

 net-misc/modemmanager/modemmanager-1.6.2.ebuild | 110 ++++++++++++++++++++++++
 profiles/base/package.use.mask                  |   4 +
 2 files changed, 114 insertions(+)

diff --git a/net-misc/modemmanager/modemmanager-1.6.2.ebuild 
b/net-misc/modemmanager/modemmanager-1.6.2.ebuild
new file mode 100644
index 00000000..a9cd07f
--- /dev/null
+++ b/net-misc/modemmanager/modemmanager-1.6.2.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+VALA_USE_DEPEND="vapigen"
+
+inherit gnome2 user readme.gentoo-r1 udev vala
+
+DESCRIPTION="Modem and mobile broadband management libraries"
+HOMEPAGE="https://cgit.freedesktop.org/ModemManager/ModemManager/";
+SRC_URI="https://www.freedesktop.org/software/ModemManager/ModemManager-${PV}.tar.xz";
+
+LICENSE="GPL-2+"
+SLOT="0/1" # subslot = dbus interface version, i.e. N in 
org.freedesktop.ModemManager${N}
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE="+introspection mbim policykit systemd +qmi qmi-newest vala"
+REQUIRED_USE="
+       qmi-newest? ( qmi )
+       vala? ( introspection )
+"
+
+RDEPEND="
+       >=dev-libs/glib-2.36.0:2
+       >=virtual/libgudev-230:=
+       introspection? ( >=dev-libs/gobject-introspection-0.9.6:= )
+       mbim? ( >=net-libs/libmbim-1.14.0 )
+       policykit? ( >=sys-auth/polkit-0.106[introspection] )
+       systemd? ( >=sys-apps/systemd-183 )
+       qmi? ( >=net-libs/libqmi-1.16.0:= )
+"
+DEPEND="${RDEPEND}
+       dev-util/gdbus-codegen
+       >=dev-util/intltool-0.40
+       sys-devel/gettext
+       virtual/pkgconfig
+       vala? ( $(vala_depend) )
+"
+
+S="${WORKDIR}/ModemManager-${PV}"
+
+src_prepare() {
+       DOC_CONTENTS="If your USB modem shows up as a Flash drive when you plug 
it in,
+               You should install sys-apps/usb_modeswitch which will 
automatically
+               switch it over to USB modem mode whenever you plug it in.\n"
+
+       if use policykit; then
+               DOC_CONTENTS+="\nTo control your modem without needing to enter 
the root password,
+                       add your user account to the 'plugdev' group."
+       fi
+
+       use vala && vala_src_prepare
+       gnome2_src_prepare
+}
+
+src_configure() {
+       gnome2_src_configure \
+               --disable-more-warnings \
+               --with-udev-base-dir="$(get_udevdir)" \
+               --disable-static \
+               --with-dist-version=${PVR} \
+               $(use_enable introspection) \
+               $(use_with mbim) \
+               $(use_with policykit polkit) \
+               $(usex systemd --with-suspend-resume=systemd 
--with-suspend-resume=no) \
+               $(use_with qmi) \
+               $(use_with qmi-newest newest-qmi-commands) \
+               $(use_enable vala)
+}
+
+src_install() {
+       gnome2_src_install
+
+       # Allow users in plugdev group full control over their modem
+       if use policykit; then
+               insinto /usr/share/polkit-1/rules.d/
+               doins "${FILESDIR}"/01-org.freedesktop.ModemManager1.rules
+       fi
+
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       gnome2_pkg_postinst
+
+       use policykit && enewgroup plugdev
+
+       # The polkit rules file moved to /usr/share
+       
old_rules="${EROOT}etc/polkit-1/rules.d/01-org.freedesktop.ModemManager.rules"
+       if [[ -f "${old_rules}" ]]; then
+               case "$(md5sum ${old_rules})" in
+                 c5ff02532cb1da2c7545c3069e5d0992* | 
5c50f0dc603c0a56e2851a5ce9389335* )
+                       # Automatically delete the old rules.d file if the user 
did not change it
+                       elog
+                       elog "Removing old ${old_rules} ..."
+                       rm -f "${old_rules}" || eerror "Failed, please remove 
${old_rules} manually"
+                       ;;
+                 * )
+                       elog "The ${old_rules}"
+                       elog "file moved to /usr/share/polkit-1/rules.d/ in 
>=modemmanager-0.5.2.0-r2"
+                       elog "If you edited ${old_rules}"
+                       elog "without changing its behavior, you may want to 
remove it."
+                       ;;
+               esac
+       fi
+
+       readme.gentoo_print_elog
+}

diff --git a/profiles/base/package.use.mask b/profiles/base/package.use.mask
index a999e7e..950d71e 100644
--- a/profiles/base/package.use.mask
+++ b/profiles/base/package.use.mask
@@ -5,6 +5,10 @@
 # This file requires >=portage-2.1.1
 # New entries go on top.
 
+# Pacho Ramos <pa...@gentoo.org> (17 Sep 2016)
+# Unmask when needed versions are in the tree
+>=net-misc/modemmanager-1.6.2 mbim qmi
+
 # Michael Palimaka <kensing...@gentoo.org> (15 Sep 2016)
 # Requires unreleased dependency dev-qt/qtspeech.
 kde-apps/kpimtextedit speech

Reply via email to